package com.yc.education.mapper;


import com.yc.education.model.NewsCenter;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-23 11:31
 */
public interface NewsCenterMapper extends MyMapper<NewsCenter> {


    //前台  查询所有新闻信息 并分页
    List<NewsCenter> listAllNews(@Param("id") Integer id);

    //后台  查询所有新闻信息 并管理
    List<NewsCenter> manageAllNews(@Param("id") Integer id,@Param("title") String title);

    //后台 批量删除新闻信息
    int deleteNewsArray(int [] newsArray);


    //后台管理 根据分类id查询该类别下的所有资讯信息总数 来进行判断类别下还有没有信息
    int findCountNews(@Param("id") Integer id);

    //根据批量删除的分类id查询所有资讯信息,来判断所选类别下是否还有资讯信息
    int listCountNews(int [] typeArray);

}
